Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 453457

Summary: Postgres (or other FOSS) database support
Product: [Community] Spacewalk Reporter: Michael DeHaan <mdehaan>
Component: ServerAssignee: Jan Pazdziora <jpazdziora>
Status: CLOSED CURRENTRELEASE QA Contact: Red Hat Satellite QA List <satellite-qa-list>
Severity: low Docs Contact:
Priority: low    
Version: 0.1CC: bkearney, cperry, jpazdziora
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-11-26 14:08:20 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 452450, 623772    

Description Michael DeHaan 2008-06-30 18:49:09 UTC
While Spacewalk is now open and Free, it is still uses a proprietary (and worse,
expensive to use in production) database.  

Providing support for something like Postgres will open it up to more users and
in turn, will enlarge the spacewalk user & developer community by a large
extent.   This is a bugzilla RFE to get this done and track status of getting it
there.

Comment 1 Jesus M. Rodriguez 2009-01-17 01:48:02 UTC
https://fedorahosted.org/spacewalk/wiki/PostgreSqlProject

In progress.

Comment 3 Jan Pazdziora 2010-11-19 16:05:13 UTC
Mass-moving to space13.

Comment 4 Jan Pazdziora 2010-11-26 14:08:20 UTC
With Spacewalk 1.2 released, limited support for PostgreSQL was announced:

http://fedorahosted.org/spacewalk/wiki/ReleaseNotes12